Bug 219118 - Assertion failure after attaching to stopped firefox process
Assertion failure after attaching to stopped firefox process
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexandre Oliva
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-11 00:01 EST by Andrew Schultz
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: gdb-6.5-15.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-18 03:30:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Schultz 2006-12-11 00:01:04 EST
Description of problem:
gdb has an assertion failure after attaching to a stopped firefox process:

../../gdb/linux-nat.c:1011: internal-error: lin_lwp_attach_lwp: Assertion `pid
== GET_LWP (ptid) && WIFSTOPPED (status) && WSTOPSIG (status)' failed.

Version-Release number of selected component (if applicable):
gdb-6.5-13.fc6 and firefox-1.5.0.8-1.fc6
firefox trunk is also affected

How reproducible:
always

Steps to Reproduce:
1. firefox
2. kill -STOP _pid_of_firefox-bin_
3. gdb /usr/lib/firefox-1.5.0.8/firefox-bin _pid_of_firefox-bin_

Actual results:
Assertion failure.  If I select to continue, gdb seems functional

Expected results:
No assertion failure.
Comment 1 Jan Kratochvil 2006-12-11 15:56:48 EST
While it looked as Bug 209521 it is a valid bugreport needing more fixing in the
other gdb code around, thanks.
Comment 2 Jan Kratochvil 2006-12-13 06:00:33 EST
* Wed Dec 13 2006 Jan Kratochvil <jan.kratochvil@redhat.com> - 6.5-15
- Fix attachment also to a threaded stopped process (BZ 219118).
Comment 3 Fedora Update System 2006-12-13 16:01:47 EST
gdb-6.5-15.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.